Subject: Re: WG Review: Recharter of Network-based Localized Mobility Management (netlmm)

From: Jari Arkko <[email-masked]>
Date: Mon, 21 Jul 2008 00:05:38 +0300

(Replies to netlmm WG list and me, please)

This working group's new charter is under consideration by the IESG. The 
new charter has been approved except for one issue. During the comment 
period we received a request from Julien Laganier to add a work item to 
the charter, a heartbeat functionality. Please see below for the details.

This work item was discussed in the working group as well, but like many 
other proposals, was not adopted to the final charter that got sent to 
the IESG. (This was not so much a question of lack of support, but lack 
of clear choice from the WG to choose a small number of items to work on 
in addition to the ones already in the new charter. I had asked the WG 
to not work on everything at the same time...)

What's changed now then? Julien writes that this functionality has been 
adopted for the new LTE network design by 3GPP, is going to be added to 
the official dependency list, and I know it will be implemented by 
several parties. Is this a sufficient reason to add this as an official 
work item to the WG?

Note: I have already agreed to AD sponsor this document if it does not 
end up in the charter. However, there are design decisions that would be 
better run in the WG, in my opinion. So I would prefer to put this work 
item to the new charter.

Does anyone object to this addition? Please comment before Friday 25th 
July, 8AM GMT.

Jari

Julien Laganier wrote:
> IESG:
>
> The 3GPP WG CT4 has added during last meeting in June (CT4#39bis) a 
> dependency for a "PMIPv6 path management and failure detection" feature 
> such as the one defined in draft-devarapalli-netlmm-pmipv6-heartbeat to 
> its 3GPP TS 29.275 v1.0.0 "PMIPv6 based Mobility and Tunneling 
> protocols" for which I'm acting as a rapporteur, see:
>
> <http://list.etsi.org/scripts/wa.exe?A2=ind0807&L=3gpp_tsg_ct_wg4&T=0&P=3346>
>
> This feature is crucial to align of PMIPv6-based 3GPP interfaces to the 
> GTP-based interfaces by relying on IETF-developed extensions, rather 
> than 3GPP Vendor Specific extensions, which would benefit neither IETF 
> nor 3GPP, IMHO.
>
> I'd thus like to request that an additional deliverable be added to the 
> the charter, and I'm proposing below some strawman text:
>
> 8) PMIPv6 path management and failure detection: This will define an 
> extension to the PMIPv6 protocol allowing PMIPv6 peers to verify 
> bidirectional reachability with their peer, detect failure of their 
> peer, and signal their own failure to their peer.
>
> Regards,
>
> --julien
>   

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Charles E. Perkins" <[email-masked]>
Date: Sun, 20 Jul 2008 15:42:00 -0700

Hello Jari,

You make a very clear case.  I think this work item
should be on the working group charter.  It is good
that you would otherwise sponsor it.  I expect that
the discussion of the specification would anyway
transpire on the [netlmm] mailing list.

Regards,
Charlie P.

Jari Arkko wrote:
> This working group's new charter is under consideration by the IESG. 
> The new charter has been approved except for one issue. During the 
> comment period we received a request from Julien Laganier to add a 
> work item to the charter, a heartbeat functionality. Please see below 
> for the details.
>
> This work item was discussed in the working group as well, but like 
> many other proposals, was not adopted to the final charter that got 
> sent to the IESG. (This was not so much a question of lack of support, 
> but lack of clear choice from the WG to choose a small number of items 
> to work on in addition to the ones already in the new charter. I had 
> asked the WG to not work on everything at the same time...)
>
> What's changed now then? Julien writes that this functionality has 
> been adopted for the new LTE network design by 3GPP, is going to be 
> added to the official dependency list, and I know it will be 
> implemented by several parties. Is this a sufficient reason to add 
> this as an official work item to the WG?
>
> end up in the charter. However, there are design decisions that would 
> be better run in the WG, in my opinion. So I would prefer to put this 
> work item to the new charter.
>
>> dependency for a "PMIPv6 path management and failure detection" 
>> feature such as the one defined in 
>> draft-devarapalli-netlmm-pmipv6-heartbeat to its 3GPP TS 29.275 
>> v1.0.0 "PMIPv6 based Mobility and Tunneling protocols" for which I'm 
>> acting as a rapporteur, see:
>>
>> This feature is crucial to align of PMIPv6-based 3GPP interfaces to 
>> the GTP-based interfaces by relying on IETF-developed extensions, 
>> rather than 3GPP Vendor Specific extensions, which would benefit 
>> neither IETF nor 3GPP, IMHO.
>>
>> I'd thus like to request that an additional deliverable be added to 
>> the the charter, and I'm proposing below some strawman text:
>>
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm
>
>